Bug 674730 - Review Request: qt-gstreamer - C++ bindings for GStreamer with a Qt-style API
Summary: Review Request: qt-gstreamer - C++ bindings for GStreamer with a Qt-style API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL: http://gstreamer.freedesktop.org/wiki...
Whiteboard:
Depends On:
Blocks: kamoso
TreeView+ depends on / blocked
 
Reported: 2011-02-03 04:06 UTC by nucleo
Modified: 2011-03-03 03:02 UTC (History)
3 users (show)

Fixed In Version: qt-gstreamer-0.10.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-02 01:52:49 UTC
pikachu.2014: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description nucleo 2011-02-03 04:06:27 UTC
Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/qt-gstreamer/qt-gstreamer.spec

SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/qt-gstreamer/qt-gstreamer-0.10.1-1.fc14.src.rpm

Description:
QtGStreamer provides C++ bindings for GStreamer with a Qt-style
API, plus some helper classes for integrating GStreamer better
in Qt applications.

Builds in mock:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2758987
http://nucleo.fedorapeople.org/pkg-reviews/qt-gstreamer/i686/
http://nucleo.fedorapeople.org/pkg-reviews/qt-gstreamer/x86_64/

$ rpmlint qt-gstreamer-0.10.1-1.fc14.src.rpm qt-gstreamer-0.10.1-1.fc14.i686.rpm qt-gstreamer-devel-0.10.1-1.fc14.i686.rpm qt-gstreamer-debuginfo-0.10.1-1.fc14.i686.rpm qt-gstreamer-0.10.1-1.fc14.x86_64.rpm qt-gstreamer-devel-0.10.1-1.fc14.x86_64.rpm qt-gstreamer-debuginfo-0.10.1-1.fc14.x86_64.rpm
7 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Mohamed El Morabity 2011-02-07 09:39:11 UTC
I will review this package.

Comment 2 Mohamed El Morabity 2011-02-20 11:13:43 UTC
Sorry for being long...  The package looks quite good, here is its review:


MUST: rpmlint must be run on every package.
->OK, no warning

MUST: The package must be named according to the Package Naming Guidelines.
->OK

MUST: The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.
->OK

MUST: The package must meet the Packaging Guidelines.
->OK

MUST: The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.
->OK

MUST: The License field in the package spec file must match the actual license.
->OK

MUST: If (and only if) the source package includes the text of the license(s) in
      its own file, then that file, containing the text of the license(s) for
      the package must be included in %doc.
->OK

MUST: The spec file must be written in American English.
->OK

MUST: The spec file for the package MUST be legible.
->OK

MUST: The sources used to build the package must match the upstream source, as
      provided in the spec URL.
->OK, md5sum = d2507a8084973fa9956d792c20013977

MUST: The package MUST successfully compile and build into binary rpms on at
      least one primary architecture.
->OK, see Koji links above

MUST: If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.
->N/A

MUST: All build dependencies must be listed in BuildRequires, except for any
      that are listed in the exceptions section of the Packaging Guidelines ;
      inclusion of those as BuildRequires is optional.
->OK

MUST: The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
->N/A

MUST: Every binary RPM package (or subpackage) which stores shared library files
      (not just symlinks) in any of the dynamic linker's default paths, must
      call ldconfig in %post and %postun.
->OK

MUST: Packages must NOT bundle copies of system libraries.
->OK

MUST: If the package is designed to be relocatable, the packager must state this
      fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.
->N/A

MUST: A package must own all directories that it creates. If it does not create
      a directory that it uses, then it should require a package which does
      create that directory.
>OK

MUST: A Fedora package must not list a file more than once in the spec file's
      %files listings. 
->OK

MUST: Permissions on files must be set properly. Executables should be set with
      executable permissions, for example. Every %files section must include a
      %defattr(...) line.
->OK

MUST: Each package must consistently use macros.
->OK

MUST: The package must contain code, or permissable content.
->OK

MUST: Large documentation files must go in a -doc subpackage.
->N/A

MUST: If a package includes something as %doc, it must not affect the runtime of
      the application. To summarize: If it is in %doc, the program must run
      properly if it is not present.
->OK

MUST: Header files must be in a -devel package.
->OK

MUST: Static libraries must be in a -static package.
->N/A

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.
->OK

MUST: In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.
->OK

MUST: Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.
->OK

MUST: Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.
->N/A

MUST: Packages must not own files or directories already owned by other
      packages.
->OK

MUST: All filenames in rpm packages must be valid UTF-8.
->OK

This package is APPROVED.

Just a (small) note: maybe you could add the examples/ folder in the sources as %doc, it may be useful for qt-gstreamer beginners. It's not mandatory of course, just a suggestion.

Comment 3 nucleo 2011-02-20 14:30:16 UTC
(In reply to comment #2)
> Just a (small) note: maybe you could add the examples/ folder in the sources as
> %doc, it may be useful for qt-gstreamer beginners. It's not mandatory of
> course, just a suggestion.

All examples available in "API Documentation" on QtGStreamer site.

> This package is APPROVED.

Thank you for review.


New Package SCM Request
=======================
Package Name: qt-gstreamer
Short Description: C++ bindings for GStreamer with a Qt-style API
Owners: nucleo
Branches: f14 f15
InitialCC:

Comment 4 Jason Tibbitts 2011-02-21 20:30:41 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-02-21 21:16:07 UTC
qt-gstreamer-0.10.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/qt-gstreamer-0.10.1-1.fc14

Comment 6 Fedora Update System 2011-02-21 21:16:48 UTC
qt-gstreamer-0.10.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/qt-gstreamer-0.10.1-1.fc15

Comment 7 Fedora Update System 2011-02-22 04:56:07 UTC
qt-gstreamer-0.10.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt-gstreamer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/qt-gstreamer-0.10.1-1.fc14

Comment 8 Fedora Update System 2011-03-02 01:52:44 UTC
qt-gstreamer-0.10.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-03 03:02:10 UTC
qt-gstreamer-0.10.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.